Subject: Re: [patch][5/5] powerpc V2: Add the general support for Embedded Floating-Point instructions

From: Segher Boessenkool <[email-masked]>
Date: Fri, 9 Feb 2007 15:40:07 +0100

>>> I thought we were going to have some general Kconfig option
>>> to enable all this?  EMDEDDED_FP_IEEE or something like that
>>
>> So that users have chance to enable/disable fully IEEE compliance?
>> Segher
>> had mentioned this, and it sounds reasonable.
>
> Its alot of code to bring in if you don't care about IEEE compliance.

Yes certainly, and that's important for embedded applications.

My point however is that this should be selectable *per process*
at runtime.  Compare to the AltiVec situation (where processes
can select (non-)IEEE behaviour by themselves); most tasks do
*not* want IEEE behaviour as it is just too expensive (and not
necessary for many applications).

Segher